***

title: get
slug: /reference/typescript/rest/verified-callers/get
description: Retrieve a specific verified caller ID.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Retrieve a specific verified caller ID.

<EndpointSchemaSnippet endpoint="GET /api/relay/rest/verified_caller_ids/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="GET /api/relay/rest/verified_caller_ids/{id}" />

## **Example**

```typescript {9-10}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com"
});

const caller = await client.verifiedCallers.get("caller-id");
console.log(caller.phoneNumber, caller.verificationState);
```